Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gameobjects.characters
Class NPCSprite

    java.lang.Object
      com.golden.gamedev.object.Sprite
          com.golden.gamedev.object.AnimatedSprite
              gameobjects.AbstractGameObject
                  gameobjects.characters.AbstractCharacterSprite
                      gameobjects.characters.NPCSprite

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractGameObject>

    public class NPCSprite

extends AbstractCharacterSprite

This class is the base class of all non player characters. Please extend this class to create your actual non player characters

Author:
  Frank Bruns
See Also:
  Serialized Form

Field Summary

Fields inherited from class gameobjects.characters.AbstractCharacterSprite
`DIR_LEFT, DIR_NO_DIR, DIR_RIGHT`

Constructor Summary
`NPCSprite(java.lang.String name, java.lang.String bshName, double x, double y, java.awt.Color speachColor, com.golden.gamedev.engine.BaseLoader bsLoader, com.golden.gamedev.engine.BaseInput bsInput, com.golden.gamedev.engine.BaseAudio bsSound)` Creates a new non player character sprite.

Method Summary

Methods inherited from class gameobjects.characters.AbstractCharacterSprite
`addAction, addActions, getDirection, getGameActionScheduler, getPreviousDirection, getSpeechColor, getTargetX, getTargetY, hasJustUsedExit, pause, render, resume, setDirection, setJustUsedExit, setTargetPosition, setTargetX, setTargetY, update`

Methods inherited from class gameobjects.AbstractGameObject
`compareTo, getAnimPool, getAnimScheduler, getBshName, getBsLoader, getDescription, getGameLocation, getHotspot, getMidX, getMidY, getName, isPicked, setDescription, setGameLocation, setName, setToPicked`

Methods inherited from class com.golden.gamedev.object.AnimatedSprite
`getAnimationTimer, getFinishAnimationFrame, getFrame, getImage, getImage, getImages, getStartAnimationFrame, isAnimate, isLoopAnim, render, setAnimate, setAnimationFrame, setAnimationTimer, setFrame, setImage, setImages, setLoopAnim`

Methods inherited from class com.golden.gamedev.object.Sprite
`addHorizontalSpeed, addVerticalSpeed, forceX, forceY, getBackground, getDataID, getDistance, getHeight, getHorizontalSpeed, getID, getLayer, getOldX, getOldY, getScreenX, getScreenY, getVerticalSpeed, getWidth, getX, getY, isActive, isImmutable, isOnScreen, isOnScreen, move, moveTo, moveX, moveY, setActive, setBackground, setDataID, setHorizontalSpeed, setID, setImmutable, setLayer, setLocation, setMovement, setSpeed, setVerticalSpeed, setX, setY`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NPCSprite

    public NPCSprite(java.lang.String name,
                     java.lang.String bshName,
                     double x,
                     double y,
                     java.awt.Color speachColor,
                     com.golden.gamedev.engine.BaseLoader bsLoader,
                     com.golden.gamedev.engine.BaseInput bsInput,
                     com.golden.gamedev.engine.BaseAudio bsSound)

  Creates a new non player character sprite.

  Parameters:
    `name` - Name of the character
    `bshName` - name that will be used for this character in beanshell scripts
    `x` - x-coordinate, where the sprite should initially appear
    `y` - y-coordinate, where the sprite should initially appear
    `speachColor` - color for the spoken dialog lines on screen
    `bsLoader` - the BaseLoader object from the Main class
    `bsSound` - the BaseAudio object from the Main class
    `bsInput` - the BaseInput object from the Main class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD